Summary:	Print calendars
Name:		gcal
Version:	3.6.2
Release:	1
License:	GPLv2+
Group:		Office
Source0:	ftp://ftp.gnu.org/pub/gnu/gcal/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/gcal/%{name}-%{version}.tar.bz2.sig
URL:		http://www.gnu.org/software/gcal/gcal.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gettext
Requires:	gettext

%description
Gcal is a program for printing calendars. Gcal displays a calendar for a month
or a year, eternal holiday lists and fixed date lists, in many ways. The
program correctly omits the dates that were skipped when the current Gregorian
calendar replaced the earlier Julian calendar.

Additionally, it can generate air line distance between over 400 cities on
earth, moon phases in these cities, whole annual holidays, etc.


%prep
%setup -q


%build
export CC="cc -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_infodir}/%{name}*info*
/usr/bin/*


%changelog
* Sun May 13 2012 Michael Perzl <michael@perzl.org> - 3.6.2-1
- updated to version 3.6.2

* Fri Jul 15 2011 Michael Perzl <michael@perzl.org> - 3.6.1-1
- updated to version 3.6.1

* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 3.6-2
- removed dependency on gettext >= 0.17

* Thu Jun 03 2010 Michael Perzl <michael@perzl.org> - 3.6-1
- updated to version 3.6

* Mon Apr 12 2010 Michael Perzl <michael@perzl.org> - 3.5.1-1
- updated to version 3.5.1

* Wed Apr 07 2010 Michael Perzl <michael@perzl.org> - 3.5-1
- first version for AIX V5.1 and higher
